Bug 456113 - fork totem-pl-parser to remove evolution-data-server dependency
fork totem-pl-parser to remove evolution-data-server dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora OLPC
Classification: Retired
Component: totem-pl-parser (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Drake
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta
  Show dependency treegraph
 
Reported: 2008-07-21 11:54 EDT by Daniel Drake
Modified: 2008-09-17 12:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.23.2-2.olpc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-28 09:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
bye-bye-camel.patch (4.65 KB, patch)
2008-07-21 11:54 EDT, Daniel Drake
no flags Details | Diff
spec file patch (1.29 KB, patch)
2008-07-21 11:59 EDT, Daniel Drake
no flags Details | Diff

  None (edit)
Description Daniel Drake 2008-07-21 11:54:41 EDT
Recent versions of totem-pl-parser started using libcamel as a fallback for
parsing dates.

This new dependency burdens the OLPC build with the following new packages:
PolicyKit-gnome.i386 0:0.8-4.fc9
PolicyKit-gnome-libs.i386 0:0.8-4.fc9
evolution-data-server.i386 0:2.22.3-1.fc9
gnome-mount.i386 0:0.8-1.fc9
hunspell-en.noarch 0:0.20080207-1.fc9
libnotify.i386 0:0.4.4-10.fc9
libsexy.i386 0:0.1.11-7.fc9
notification-daemon.i386 0:0.3.7-9.fc9

Upstream are aware but there are no immediate plans to fix this (unless someone
steps up):
http://bugzilla.gnome.org/show_bug.cgi?id=522639

We do not use any playlist functionality on the XO, so it is safe to fork
totem-pl-parser with the bare minimum needed to remove this dependency.

I also looked at removing totem's dependency on totem-pl-parser. That does not
look practical, they are quite closely linked.
Comment 1 Daniel Drake 2008-07-21 11:54:41 EDT
Created attachment 312272 [details]
bye-bye-camel.patch
Comment 2 Daniel Drake 2008-07-21 11:59:35 EDT
Created attachment 312273 [details]
spec file patch
Comment 3 Bastien Nocera 2008-07-21 12:08:08 EDT
I'm upstream. And I don't want a forked version. Do what you want in the OLPC
branch, just don't come complaining if something breaks...

Note You need to log in before you can comment on or make changes to this bug.